/*
Geschrieben und getestet für einen Arduino UNO + HD44780 Display mit TWI Controller
I2C Anschlüsse am Arduino: 
SDA -> A4
SCL -> A5

*/
#include <Wire.h>
#include <LCD.h>
#include <LiquidCrystal_I2C.h>

#define I2C_ADDR    0x27 // Adresse des Displays
#define BACKLIGHT_PIN     3
#define En_pin  2
#define Rw_pin  1
#define Rs_pin  0
#define D4_pin  4
#define D5_pin  5
#define D6_pin  6
#define D7_pin  7

int n = 1;

LiquidCrystal_I2C  lcd(I2C_ADDR,En_pin,Rw_pin,Rs_pin,D4_pin,D5_pin,D6_pin,D7_pin);

void setup()
{
 lcd.begin (16,2); // Zeichen, Zeilen

 
// Beleuchtung Anschalten
lcd.setBacklightPin(BACKLIGHT_PIN,POSITIVE);
lcd.setBacklight(HIGH);
lcd.home ();

 lcd.print("Roboter-Bausatz");  // Auszugebender Text
}

void loop()
{
 lcd.setCursor (0,1);        // Zum Anfang der zweiten Zeile Springen
 lcd.print(n++,DEC);        // Zählt die Sekunden seit dem letzten Neustart an
 
 delay(1000);
}
